package com.gic.enterprise.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-28 19:30
 */
public enum DownloadReportSearchTypeEnum {
    DATA_CONTENT(1, "数据源", "data_content"),
    FIL_NAME(2, "文件名称", "file_name"),
    APPLY_USER_NAME(3, "操作人", "apply_user_name"),
    ;
    private Integer code;
    private String msg;
    private String searchName;

    DownloadReportSearchTypeEnum(Integer code, String msg, String searchName) {
        this.code = code;
        this.msg = msg;
        this.searchName = searchName;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public String getSearchName() {
        return searchName;
    }

    public static String parseSearchType(Integer code) {
        for (DownloadReportSearchTypeEnum searchType : values()) {
            if (searchType.code.equals(code)) {
                return searchType.searchName;
            }
        }
        return null;
    }

}
