package com.gic.enterprise.dto.rule;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
/**
 * 场景列表
 * @ClassName: RuleClassifySceneListDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/4 3:06 PM 
 */
@Accessors(chain = true)
@Data
public class RuleClassifySceneListDTO implements Serializable{
    private static final long serialVersionUID = 4173483099328063614L;

    /**
     * 场景ID
     */
    private Integer ruleId;

    /**
     * 场景名称（场景名称是冗余数据）
     */
    private String ruleName;

    /**
     * 场景描述
     */
    private String ruleDesc;

    /**
     * 场景备注
     */
    private String remark;

    /**
     * 营销场景code
     */
    private String marketScene;

    /**
     * 营销对象 1:会员卡域 2:服务号域 3:小程序域
     */
    private Integer marketObject;



    /****************下面数据给商户规则配置使用**************/

    /**
     * 是否选中有效
     */
    private Boolean select;

}
