package com.gic.enterprise.dto.rule;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 商户规则
 * @ClassName: RuleEnterpriseDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/4 3:20 PM 
 */
@Accessors(chain = true)
@Data
public class RuleEnterpriseDTO implements Serializable{
    private static final long serialVersionUID = -3847931338484539450L;

    /**
     *
     */
    private Integer enterpriseRuleId;

    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 1:部分商户 2:全部商户
     */
    private Integer enterpriseType;

    /**
     * 状态值 1:有效 0:无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;
    /**
     * 选择部分商户的时候，英文逗号隔开
     */
    private String enterpriseIds;
    /**
     * 平台规则树的，规则/分类/场景ID，英文逗号隔开
     */
    private String ruleIds;

    /***************************下面是前端展示字段*****************************/

    /**
     * 规则下商户个数
     */
    private Integer countEnterpriseId;
    /**
     * 企业主键
     */
    private Integer enterpriseId;

    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     *
     */
    private String logo;
}
