package com.gic.enterprise.dto.rule;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 商户规则和平台规则树关联
 * @ClassName: RuleRelDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/4 3:22 PM 
 */
@Accessors(chain = true)
@Data
public class RuleRelDTO implements Serializable{
    private static final long serialVersionUID = 6516187788186040350L;

    /**
     *
     */
    private Integer ruleRelId;

    /**
     * 商户规则ID
     */
    private Integer enterpriseRuleId;

    /**
     * 平台规则/分类/场景ID
     */
    private Integer ruleId;

    /**
     * 状态值 1:有效 0:无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;
}
