package com.gic.enterprise.entity;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * tab_config_rule
 */
@Accessors(chain = true)
@Data
public class TabConfigRule {
    /**
     * 
     */
    private Integer ruleId;

    /**
     * 规则/分类/场景名称（场景名称是冗余数据）
     */
    private String ruleName;

    /**
     * 规则类型:应用名称
     */
    private String appName;

    /**
     * 规则类型:应用code
     */
    private String appCode;

    /**
     * 分类类型:icon
     */
    private String classifyIcon;

    /**
     * 分类/场景描述
     */
    private String ruleDesc;

    /**
     * 分类/场景备注
     */
    private String remark;

    /**
     * 营销场景ID/code
     */
    private String marketScene;

    /**
     * 营销对象 1:会员卡域 2:服务号域 3:小程序域
     */
    private Integer marketObject;

    /**
     * 父级id
     */
    private Integer parentRuleId;

    /**
     * 层级:1:规则 2:分类 3:场景
     */
    private Integer ruleLevel;

    /**
     * 规则链id：_2_3_格式数据
     */
    private String ruleChain;

    /**
     * 状态值 1:有效 0:无效
     */
    private Integer status;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;
}