package com.gic.operation.web.vo.configrule;

import lombok.Data;

import java.io.Serializable;
@Data
public class RuleClassifySceneVO implements Serializable{
    private static final long serialVersionUID = 2503067207037834122L;

    /**
     *
     */
    private Integer ruleId;

    /**
     * 规则/分类/场景名称（场景名称是冗余数据）
     */
    private String ruleName;

    /**
     * 分类/场景描述
     */
    private String ruleDesc;

    /**
     * 分类/场景备注
     */
    private String remark;

    /**
     * 营销场景ID/code
     */
    private String marketScene;

    /**
     * 营销对象 1:会员卡域 2:服务号域 3:小程序域
     */
    private Integer marketObject;
}
