package com.gic.enterprise.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 小程序适用卡范围
 * @ClassName: AppletCardDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/11 9:31 AM 
 */
@Accessors(chain = true)
@Data
public class AppletCardDTO implements Serializable{
    private static final long serialVersionUID = 9089247895661173247L;

    private Long cardConfigId;
    private String cardName;

    private Boolean mainCard;

    /**
     * 子卡列表
     */
    private List<AppletCardDTO> subList;
}
