package com.gic.enterprise.dto.rule;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 商户规则详情
 * @ClassName: EnterpriseRuleDetailDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/5 1:29 PM 
 */
@Accessors(chain = true)
@Data
public class EnterpriseRuleDetailDTO implements Serializable{
    private static final long serialVersionUID = 8170315160087981103L;

    /**
     * 规则树
     */
    private List<RuleListDTO> ruleList;

    /**
     *
     */
    private Integer enterpriseRuleId;

    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 1:部分商户 2:全部商户
     */
    private Integer enterpriseType;

    /**
     * 商户列表
     */
    private List<EnterpriseListDTO> enterpriseList;
}
