package com.gic.enterprise.dto.rule;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 分类列表
 * @ClassName: RuleClassifyListDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/4 3:02 PM 
 */
@Accessors(chain = true)
@Data
public class RuleClassifyListDTO implements Serializable{
    private static final long serialVersionUID = 6964223664642288932L;

    /**
     * 分类ID
     */
    private Integer ruleId;

    /**
     * 分类名称
     */
    private String ruleName;

    /**
     * 分类类型:icon
     */
    private String classifyIcon;

    /**
     * 分类描述
     */
    private String ruleDesc;

    /**
     * 分类备注
     */
    private String remark;

    /****************下面数据给商户规则配置使用**************/

    /**
     * 是否选中有效
     */
    private Boolean select;

    /**
     * 分类下的场景列表
     */
    private List<RuleClassifySceneListDTO> ruleClassifySceneList;
}
