package com.gic.enterprise.dto.rule;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 商户规则和商户ID关联
 * @ClassName: RuleEnterpriseRelDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/4 3:21 PM 
 */
@Accessors(chain = true)
@Data
public class RuleEnterpriseRelDTO implements Serializable{
    private static final long serialVersionUID = 2963511222727402738L;

    /**
     *
     */
    private Integer enterpriseRelId;

    /**
     * 商户规则ID
     */
    private Integer enterpriseRuleId;

    /**
     * 商户ID
     */
    private Integer enterpriseId;

    /**
     * 状态值 1:有效 0:无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;
}
