package com.gic.enterprise.dto.rule;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 应用（规则）列表
 * @ClassName: RuleListDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/4 3:01 PM 
 */
@Accessors(chain = true)
@Data
public class RuleListDTO implements Serializable{
    private static final long serialVersionUID = -7830092576417787452L;

    /**
     * 规则ID
     */
    private Integer ruleId;

    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 规则类型:应用名称
     */
    private String appName;

    /**
     * 规则类型:应用code
     */
    private String appCode;

    /**
     * 是否选中有效
     */
    private Boolean select;

    /**
     * 规则下面的分类列表
     */
    private List<RuleClassifyListDTO> ruleClassifyList;
}
