package com.gic.enterprise.entity;

import lombok.Data;

import java.util.Date;

/**
 * tab_enterprise
 */
@Data
public class TabEnterprise {
    /**
     * 企业主键
     */
    private Integer enterpriseId;

    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 
     */
    private String logo;

    /**
     * 
     */
    private String areaId;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 状态；1有效； 0无效
     */
    private Integer status;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 是否完成初始化
     */
    private Integer isInitComplete;

    /**
     * 基础服务过期时间
     */
    private Date auditTime;

    /**
     * 版本code
     */
    private String versionCode;

    /**
     * 版本名称
     */
    private String versionName;
    /**
     * 服务状态 0:无服务 1:正常 2:停用
     */
    private Integer serviceStatus;
    /**
     * 创建人
     */
    private Integer creatorId;

}